<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>GormClassEditor class documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$GormClassEditor">GormClassEditor class documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
      <hr width="50%" align="left" />
      <h3>Contents -</h3>
      <ol>
        <li>
          <a href="#001000000000">Software documentation for the GormClassEditor class</a>
        </li>
        <li>
          <a href="#002000000000">GormClassEditor variables</a>
        </li>
      </ol>
      <hr width="50%" align="left" />
    </div>

          <h1><a name="001000000000">
        Software documentation for the GormClassEditor class
      </a></h1>
    <h2><a name="class$GormClassEditor">GormClassEditor</a> : NSView</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormClassEditor.h</dd>
      </dl>
    </blockquote>
    <blockquote>
      <dl>
        <dt><b>Conforms to:</b></dt>
        <dd>IBEditors</dd>
        <dd>IBSelectionOwners</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="50%" align="left" />
    <a href="#_GormClassEditor_ivars">Instance Variables</a>
    <br/><br/>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormClassEditor.html#method$GormClassEditor+classEditorForDocument$">+classEditorForDocument:</a></li>
      <li><a rel="gsdoc" href="GormClassEditor.html#method$GormClassEditor-addAttributeToClass">-addAttributeToClass</a></li>
      <li><a rel="gsdoc" href="GormClassEditor.html#method$GormClassEditor-createClassFiles$">-createClassFiles:</a></li>
      <li><a rel="gsdoc" href="GormClassEditor.html#method$GormClassEditor-createSubclass$">-createSubclass:</a></li>
      <li><a rel="gsdoc" href="GormClassEditor.html#method$GormClassEditor-currentSelectionIsClass">-currentSelectionIsClass</a></li>
      <li><a rel="gsdoc" href="GormClassEditor.html#method$GormClassEditor-deleteSelection">-deleteSelection</a></li>
      <li><a rel="gsdoc" href="GormClassEditor.html#method$GormClassEditor-editClass">-editClass</a></li>
      <li><a rel="gsdoc" href="GormClassEditor.html#method$GormClassEditor-fileTypes">-fileTypes</a></li>
      <li><a rel="gsdoc" href="GormClassEditor.html#method$GormClassEditor-initWithDocument$">-initWithDocument:</a></li>
      <li><a rel="gsdoc" href="GormClassEditor.html#method$GormClassEditor-instantiateClass$">-instantiateClass:</a></li>
      <li><a rel="gsdoc" href="GormClassEditor.html#method$GormClassEditor-isEditing">-isEditing</a></li>
      <li><a rel="gsdoc" href="GormClassEditor.html#method$GormClassEditor-loadClass$">-loadClass:</a></li>
      <li><a rel="gsdoc" href="GormClassEditor.html#method$GormClassEditor-reloadData">-reloadData</a></li>
      <li><a rel="gsdoc" href="GormClassEditor.html#method$GormClassEditor-removeClass$">-removeClass:</a></li>
      <li><a rel="gsdoc" href="GormClassEditor.html#method$GormClassEditor-selectClass$">-selectClass:</a></li>
      <li><a rel="gsdoc" href="GormClassEditor.html#method$GormClassEditor-selectClass$editClass$">-selectClass:editClass:</a></li>
      <li><a rel="gsdoc" href="GormClassEditor.html#method$GormClassEditor-selectClassWithObject$">-selectClassWithObject:</a></li>
      <li><a rel="gsdoc" href="GormClassEditor.html#method$GormClassEditor-selectClassWithObject$editClass$">-selectClassWithObject:editClass:</a></li>
      <li><a rel="gsdoc" href="GormClassEditor.html#method$GormClassEditor-selectedClassName">-selectedClassName</a></li>
      <li><a rel="gsdoc" href="GormClassEditor.html#method$GormClassEditor-setSelectedClassName$">-setSelectedClassName:</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormClassEditor+classEditorForDocument$">classEditorForDocument:&nbsp;</a></h3>
    + (<a rel="gsdoc" href="#class$GormClassEditor">GormClassEditor</a>*) <b>classEditorForDocument:</b> (<a rel="gsdoc" href="GormDocument.html#class$GormDocument">GormDocument</a>*)doc;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassEditor-addAttributeToClass">addAttributeToClass&nbsp;</a></h3>
    - (void) <b>addAttributeToClass</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassEditor-createClassFiles$">createClassFiles:&nbsp;</a></h3>
    - (id) <b>createClassFiles:</b> (id)sender;<br />
    <div class="desc">
      
            Create the class files for the selected class.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassEditor-createSubclass$">createSubclass:&nbsp;</a></h3>
    - (id) <b>createSubclass:</b> (id)sender;<br />
    <div class="desc">
      
            Create a subclass from the selected subclass...
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassEditor-currentSelectionIsClass">currentSelectionIsClass&nbsp;</a></h3>
    - (BOOL) <b>currentSelectionIsClass</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassEditor-deleteSelection">deleteSelection&nbsp;</a></h3>
    - (void) <b>deleteSelection</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassEditor-editClass">editClass&nbsp;</a></h3>
    - (void) <b>editClass</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassEditor-fileTypes">fileTypes&nbsp;</a></h3>
    - (NSArray*) <b>fileTypes</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassEditor-initWithDocument$">initWithDocument:&nbsp;</a></h3>
    - (<a rel="gsdoc" href="#class$GormClassEditor">GormClassEditor</a>*) <b>initWithDocument:</b> (<a rel="gsdoc" href="GormDocument.html#class$GormDocument">GormDocument</a>*)doc;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassEditor-instantiateClass$">instantiateClass:&nbsp;</a></h3>
    - (id) <b>instantiateClass:</b> (id)sender;<br />
    <div class="desc">
      
            Create an instance of a given class.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassEditor-isEditing">isEditing&nbsp;</a></h3>
    - (BOOL) <b>isEditing</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassEditor-loadClass$">loadClass:&nbsp;</a></h3>
    - (id) <b>loadClass:</b> (id)sender;<br />
    <div class="desc">
      
            Parse a header into the classes view.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassEditor-reloadData">reloadData&nbsp;</a></h3>
    - (void) <b>reloadData</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassEditor-removeClass$">removeClass:&nbsp;</a></h3>
    - (id) <b>removeClass:</b> (id)sender;<br />
    <div class="desc">
      
            Remove a class from the classes view
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassEditor-selectClass$">selectClass:&nbsp;</a></h3>
    - (void) <b>selectClass:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassEditor-selectClass$editClass$">selectClass:&nbsp;editClass:&nbsp;</a></h3>
    - (void) <b>selectClass:</b> (NSString*)className<b> editClass:</b> (BOOL)flag;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassEditor-selectClassWithObject$">selectClassWithObject:&nbsp;</a></h3>
    - (void) <b>selectClassWithObject:</b> (id)obj;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassEditor-selectClassWithObject$editClass$">selectClassWithObject:&nbsp;editClass:&nbsp;</a></h3>
    - (void) <b>selectClassWithObject:</b> (id)object<b> editClass:</b> (BOOL)flag;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassEditor-selectedClassName">selectedClassName&nbsp;</a></h3>
    - (NSString*) <b>selectedClassName</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassEditor-setSelectedClassName$">setSelectedClassName:&nbsp;</a></h3>
    - (void) <b>setSelectedClassName:</b> (NSString*)cn;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<a name="_GormClassEditor_ivars"/>    <br/><hr width="50%" align="left" />
    <h2>Instance Variables for GormClassEditor Class</h2>
    <h3><a name="ivariable$GormClassEditor*browserView">browserView</a></h3>
    @protected NSBrowser* <b>browserView</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormClassEditor*classManager">classManager</a></h3>
    @protected GormClassManager* <b>classManager</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormClassEditor*classesView">classesView</a></h3>
    @protected id <b>classesView</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormClassEditor*document">document</a></h3>
    @protected GormDocument* <b>document</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormClassEditor*mainView">mainView</a></h3>
    @protected id <b>mainView</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormClassEditor*outlineView">outlineView</a></h3>
    @protected GormOutlineView* <b>outlineView</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormClassEditor*scrollView">scrollView</a></h3>
    @protected NSScrollView* <b>scrollView</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormClassEditor*selectedClass">selectedClass</a></h3>
    @protected NSString* <b>selectedClass</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormClassEditor*viewToggle">viewToggle</a></h3>
    @protected id <b>viewToggle</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <br/><hr width="50%" align="left" /><br/>

          <h1><a name="002000000000">GormClassEditor variables</a></h1>
    <p>
    </p>
    <h3><a name="variable$GormClassPboardType">GormClassPboardType</a></h3>
    NSString* GormClassPboardType;<br />
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="25%" align="left" />
    <h3><a name="variable$GormSwitchViewPreferencesNotification">GormSwitchViewPreferencesNotification</a></h3>
    NSString* GormSwitchViewPreferencesNotification;<br />
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="25%" align="left" />
    <br />
    </font>
</body>
</html>
